Subject: 24.4; Please provide a non-regexp interface to occur

From: Juliusz Chroboczek <[email-masked]>
Date: Sun, 09 Nov 2014 21:00:50 +0100

Hi.

I like occur a lot, but I find it inflexible -- the matched lines can only
be specified by a regexp.  I'd like to be aple to pass a function to occur
instead of a regexp.

The function should be called with point at the beginning of a line to
match/not match, so that

  (occur regexp)

is equivalent to

  (occur #'(lambda () (looking-at regexp)))

Of course, the function should be able to examine the context around the
line being matched.

-- Juliusz